//+------------------------------------------------------------------+
//|                                                    Barmed_MA.mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red
#property indicator_width1 3
#property indicator_width2 3


extern int       Shift=0;
extern int       NumBars=1;
extern int       PeriodMA=14;

double ExtMapBuffer1[];
double ExtMapBuffer2[];

int init()
  {
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(1,ExtMapBuffer2);
  // for(int i=1;i<11;i++)   
  //    SetLevelValue(i, 5*i);
  }

int deinit(){}

int start()
  {
   int limit=Bars-IndicatorCounted();
   double prec=1.0;
   if(5.0-MarketInfo("EURUSD",MODE_POINT)>0.5) prec=10.0;
   for(int i=0; i<limit; i++){
      double sum=0.0;
      for(int z=0; z<NumBars; z++) sum+=High[i+z+Shift]-Low[i+z+Shift];
      ExtMapBuffer1[i]=sum/NumBars/MarketInfo(Symbol(),MODE_POINT)/prec;
      }
   for( i=0; i<limit; i++){
       ExtMapBuffer2[i]=iMAOnArray(ExtMapBuffer1,0,PeriodMA,0, MODE_SMA, i);
      }    
  }